import { IRecordLockingError } from "../../types";
import { IRecordLockingIsEntryLockedParams } from "../abstractions/IRecordLockingIsEntryLocked";
export declare type IRecordLockingIsEntryLockedVariables = IRecordLockingIsEntryLockedParams;
export interface IRecordLockingIsEntryLockedResponse {
    recordLocking: {
        isEntryLocked: {
            data: boolean | null;
            error: IRecordLockingError | null;
        };
    };
}
export declare const IS_ENTRY_LOCKED_QUERY: import("graphql").DocumentNode;
